ISOQUERY(1)

NAMN
isoquery - sök och visa olika ISO-koder (land, språk, ...)

SAMMANDRAG

isoquery [OPTION …] [ISO codes]

BESKRIVNING

Den här manualsidan dokumenterar kortfattat kommandot isoquery. Det kan användas för att generera en utdata i tabellform av ISO-standardkoderna som tillhandahålls av paketet iso-codes. Det analyserar JSON-filerna och visar alla inkluderade ISO-koder eller bara matchande poster, om det anges på kommandoraden. Dessutom är det möjligt att få alla tillgängliga översättningar för ISO-standarden.

ALTERNATIV

Detta program följer den vanliga GNU kommandoradssyntaxen, med långa alternativ som börjar med två bindestreck ('-'). isoquery stöder följande alternativ:

-i, --iso=STANDARD
    ISO-standarden att använda. Möjliga värden: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (standard: 3166-1)

-p, --pathname=SÖKVÄGSNAMN
    Använd SÖKVÄGSNAMN som prefix för datafilerna (standard: /usr/share/iso-codes/json)

-l, --locale=LOKAL
    Använd denna LOKAL för utdata

-n, --name
    Namn på de medföljande koderna (standard)

-o, --official_name
    Officiellt namn för de medföljande koderna. Dessa kan vara detsamma som --name (gäller endast ISO 3166-1)

-c, --common_name
    Gemensamt namn för de medföljande koderna. Dessa kan vara detsamma som --name (gäller endast ISO 639-2, 639-3 och 3166-1)

-0, --null
    Separera poster med ett NULL-tecken istället för nyrad

-f, --flag
    Visa landsflaggor med regionala indikatorsymbolbokstäver (gäller endast ISO 3166-1)

-h, --help
    Visa en sammanfattning av alternativen

-v, --version
    Visa program version och copyright

EXEMPEL

Om det anropas utan några kommandoradsalternativ, kommer isoquery att skriva ut en tabell över alla ISO 3166-1-koder. De tre första kolumnerna innehåller alfa-2-koden, alfa-3-koden och den numeriska koden som tilldelats det land som anges i den fjärde kolumnen.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Om du bara behöver några länder kan du ange vilka som helst av koderna i de tre första kolumnerna för att minska resultatet.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Om du behöver översättningarna av ländernas namn, ange bara i vilken LOKAL du vill se resultatet. Observera att det ursprungliga engelska namnet kommer att visas om det inte finns någon tillgänglig översättning för den angivna _LOKAL.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Om din terminal stöder unicodes regionala indikatorsymbolbokstäver kan du använda kommandoradsalternativet --flag. Dessa bokstäver kan visas som en landsflagga.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Allt ovanstående fungerar också för olika ISO-standarder, så du kan byta till den mer omfattande standarden ISO 3166-2 genom att använda kommandoradsalternativet --iso. Kolumnerna är ISO 3166-2-kod, delmängdstyp (t.ex. stat, provins, etc.), förälder och namn. Den tredje kolumnen (förälder) kan vara tom.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Koder som har raderats från ISO 3166-1 är tillgängliga i ISO 3166-3. Kolumnerna är alfa-3-kod, alfa-4-kod, numerisk kod, kommentar, återkallelsedatum och namn. Kolumnerna för numerisk kod, kommentar och återkallelsedatum kan vara tomma.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

För ISO 639-2 är de tre första kolumnerna alfa-3-koden, den bibliografiska koden och alfa-2-koden. Den andra och tredje kolumnen kan vara tomma.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Du kan trimma ner resultaten genom att endast ange några koder. Dessutom är alternativet att få översatta namn också tillgängligt.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Om du vill använda ISO 639-3 är de visade kolumnerna alfa-3, omfattning, typ, alfa-2, bibliografisk och språknamnet. Både alfa-2 och bibliografiska kan vara tomma.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

ISO 639-5 finns också. De visade kolumnerna är alfa-3 och namn.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

Du kan få utvalda översättningar av valutanamn från ISO 4217-standarden genom att använda följande kommando. Den första av kolumnerna är alfa-3-koden och den andra är den numeriska koden som tilldelats valutan. Valutans namn visas i den tredje kolumnen.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

Om du behöver få skriptnamn kan du använda ISO 15924-tabellen. Den första av kolumnerna är alfa-4-koden och den andra är den numeriska koden som tilldelats skriptet. Namnet på skriptet visas i den tredje kolumnen.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FILER

Som standard kommer JSON-filerna som tillhandahålls av iso-codes-paketet att användas.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

FÖRFATTARE

Dr. Tobias Quathamer

ÖVERSÄTTNING

Luna Jernberg